      SUBROUTINE POVTRI ( FUNIT, PLTID, COLCH )
 
C
C     Output a colored triangle to a POV file.
C
 
      IMPLICIT             NONE
 
      INTEGER               I
      INTEGER               J
      INTEGER               PLTID
      INTEGER               FUNIT
 
      DOUBLE PRECISION      VERT3   ( 3, 3 )
 
      CHARACTER*(*)         COLCH
      CHARACTER*(300)       OUTLIN
      CHARACTER*(20)        VECT      ( 3 , 3 )
 
 
      OUTLIN = ' '
 
      CALL NTHPLV ( PLTID, VERT3 )
 
      DO I = 1, 3
         DO J = 1, 3
            CALL DPSTR ( VERT3(J,I), 8, VECT(J,I) )
         END DO
      END DO
 
      OUTLIN =   'triangle {<#,#,#>,<#,#,#>,<#,#,#> '
     .        // ' texture { # } }'
 
      DO I = 1, 3
         DO J = 1, 3
            CALL REPMC ( OUTLIN, '#', VECT(J,I), OUTLIN )
         END DO
      END DO
 
 
      CALL REPMC ( OUTLIN, '#', COLCH, OUTLIN )
 
      CALL WRITLN ( OUTLIN, FUNIT )
 
      RETURN
      END
